From: "William Hubbs" <williamh@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-containers/docker-cli/
Date: Wed, 26 Feb 2025 21:43:04 +0000 (UTC) [thread overview]
Message-ID: <1740606102.17c6b234c0fa6b80ff388bbc78f8e96affe2877c.williamh@gentoo> (raw)
commit: 17c6b234c0fa6b80ff388bbc78f8e96affe2877c
Author: William Hubbs <williamh <AT> gentoo <DOT> org>
AuthorDate: Wed Feb 26 21:40:04 2025 +0000
Commit: William Hubbs <williamh <AT> gentoo <DOT> org>
CommitDate: Wed Feb 26 21:41:42 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=17c6b234
app-containers/docker-cli: add 28.0.1
Signed-off-by: William Hubbs <williamh <AT> gentoo.org>
app-containers/docker-cli/Manifest | 2 +
app-containers/docker-cli/docker-cli-28.0.1.ebuild | 68 ++++++++++++++++++++++
2 files changed, 70 insertions(+)
diff --git a/app-containers/docker-cli/Manifest b/app-containers/docker-cli/Manifest
index 36bd6c357ab2..839bedb52623 100644
--- a/app-containers/docker-cli/Manifest
+++ b/app-containers/docker-cli/Manifest
@@ -4,3 +4,5 @@ DIST docker-cli-27.5.0-man.tar.xz 70224 BLAKE2B 4c2a4025721fbfbb63c24e20bdbc68f3
DIST docker-cli-27.5.0.tar.gz 7462649 BLAKE2B 89ae65834c606d9ef4f8ebc9fee5052d3e12b8aa6d9f4df7c0415157b24a55e89d0758b4f5cf0e4f3f5b6ea2f9c46bfc010c604995cb5cf1d162c068ba679787 SHA512 3c7c709f38fffd4d4e134d2abd7e6dc606e1cba765d36924a53f9470d6077be2282983eb23995bd56d772da253a69a854fe3112fea1a7ed2c9a1b70d2cc45b57
DIST docker-cli-27.5.1-man.tar.xz 70236 BLAKE2B 82bf35e1b2ec149aa64ee5c72691a1af790e02e85c02c7078f6d2cff0c52143f64270467b00cf6410b6b80cf5088b15dc0bf87b98df0091bc61fa000b4dcec29 SHA512 6cec8418851dd4226e38319038b621e4697458b18496a0a4bacf1473007d5242a56af66d2a0d90f64bd5a9ccce1777c6c0788bc649c0e6cc38be1ecf63bd64da
DIST docker-cli-27.5.1.tar.gz 7462515 BLAKE2B cd2970ac46092bc040ebb663d1dc3bcd488f1c2e8dfc81b36f937c22cb4becbf79f8d4f537cf482d59fa032e86a183b3c4c781ccda09de68be217347320ad9d6 SHA512 165bd5984786fe6fa6398d6e2b1757ce013a91434317339b360721327d4f74bd52fe0ec3936ae3a0665f0fbbf2cd2c49bd2c503783c25651f8d91a172e1c2d3e
+DIST docker-cli-28.0.1-man.tar.xz 70360 BLAKE2B 395736a74b314530fbbd6bf4016f7f211a3ee4754179cde0d8edf16f489c3fd92565cf73033defb80fd8280e4ef1e2add15541102944401123cfb251b06492f9 SHA512 b72e4f35a80d72d18f701edcace46eb11fbcf1ba40a1ab8efa913edc74e265dafbdc58c7c0d442293d71ce2cfc952fcbed5afee5d5f3ba52d9d25741d5a12593
+DIST docker-cli-28.0.1.tar.gz 7413092 BLAKE2B 69075ba24eb7c46593d7c4ab80499b67994119af8096409f55eec9524173cb8d37263159cd834e3cfaf4e8d169b568232d400633b2d9b08112ced05c78338f92 SHA512 c3d7ca21b88c5f6925f6c99519a67581fd6c264cc96e6c0bc00751f87de6580a2d443cbe59b2e36771e37a78fe05ea054e292675e19bc4d73fcacfda047e0490
diff --git a/app-containers/docker-cli/docker-cli-28.0.1.ebuild b/app-containers/docker-cli/docker-cli-28.0.1.ebuild
new file mode 100644
index 000000000000..540abf06552c
--- /dev/null
+++ b/app-containers/docker-cli/docker-cli-28.0.1.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit bash-completion-r1 go-module
+MY_PV=${PV/_/-}
+
+# update this on every bump
+GIT_COMMIT=068a01ea9470df6494cc92d9e64e240805ae47a7
+
+DESCRIPTION="the command line binary for docker"
+HOMEPAGE="https://www.docker.com/"
+SRC_URI="https://github.com/docker/cli/archive/v${MY_PV}.tar.gz -> ${P}.tar.gz"
+SRC_URI+=" https://dev.gentoo.org/~williamh/dist/${P}-man.tar.xz"
+S="${WORKDIR}/cli-${PV}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+IUSE="hardened selinux"
+
+RDEPEND="selinux? ( sec-policy/selinux-docker )"
+
+RESTRICT="installsources strip test"
+
+src_unpack() {
+ default
+ cd "${S}"
+ ln -s vendor.mod go.mod
+ ln -s vendor.sum go.sum
+}
+
+src_prepare() {
+ default
+ sed -i 's@dockerd\?\.exe@@g' contrib/completion/bash/docker || die
+}
+
+src_compile() {
+ export DISABLE_WARN_OUTSIDE_CONTAINER=1
+ # setup CFLAGS and LDFLAGS for separate build target
+ # see https://github.com/tianon/docker-overlay/pull/10
+ CGO_CFLAGS+=" -I${ESYSROOT}/usr/include"
+ CGO_LDFLAGS+=" -L${ESYSROOT}/usr/$(get_libdir)"
+ emake \
+ LDFLAGS="$(usex hardened '-extldflags -fno-PIC' '')" \
+ VERSION="${PV}" \
+ GITCOMMIT="${GIT_COMMIT}" \
+ dynbinary
+}
+
+src_install() {
+ dobin build/docker
+ doman "${WORKDIR}"/man/man?/*
+ dobashcomp contrib/completion/bash/docker
+ bashcomp_alias docker dockerd
+ insinto /usr/share/fish/vendor_completions.d/
+ doins contrib/completion/fish/docker.fish
+ insinto /usr/share/zsh/site-functions
+ doins contrib/completion/zsh/_*
+}
+
+pkg_postinst() {
+ has_version "app-containers/docker-buildx" && return
+ ewarn "the 'docker build' command is deprecated and will be removed in a"
+ ewarn "future release. If you need this functionality, install"
+ ewarn "app-containers/docker-buildx."
+}
next reply other threads:[~2025-02-26 21:43 UTC|newest]
Thread overview: 69+ messages / expand[flat|nested] mbox.gz Atom feed top
2025-02-26 21:43 William Hubbs [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-04-22 18:58 [gentoo-commits] repo/gentoo:master commit in: app-containers/docker-cli/ William Hubbs
2025-04-11 14:35 William Hubbs
2025-03-16 22:05 William Hubbs
2025-03-16 10:19 Sam James
2025-03-16 6:27 Arthur Zamarin
2025-01-28 14:52 William Hubbs
2025-01-15 14:08 William Hubbs
2025-01-14 23:37 William Hubbs
2025-01-14 7:25 Arthur Zamarin
2025-01-14 2:32 Sam James
2025-01-14 2:20 Sam James
2024-12-20 4:17 William Hubbs
2024-12-09 23:36 William Hubbs
2024-10-30 14:02 William Hubbs
2024-09-05 0:18 William Hubbs
2024-09-05 0:14 William Hubbs
2024-08-27 19:20 William Hubbs
2024-08-27 19:09 William Hubbs
2024-07-02 3:46 William Hubbs
2024-07-02 3:40 William Hubbs
2024-07-02 3:13 William Hubbs
2024-06-18 22:40 William Hubbs
2024-06-13 17:57 Sam James
2024-06-13 2:15 Sam James
2024-06-13 1:56 Sam James
2024-04-26 5:08 William Hubbs
2024-03-17 14:56 William Hubbs
2024-02-01 16:24 William Hubbs
2023-11-09 22:54 William Hubbs
2023-09-25 20:15 William Hubbs
2023-07-24 21:08 Sam James
2023-07-24 21:04 Sam James
2023-07-24 20:54 Sam James
2023-07-24 19:54 William Hubbs
2023-07-24 19:40 William Hubbs
2023-07-21 23:52 Sam James
2023-07-21 21:52 Sam James
2023-07-21 19:26 William Hubbs
2023-07-20 19:33 William Hubbs
2023-04-14 15:23 William Hubbs
2023-04-13 0:55 Sam James
2023-04-13 0:55 Sam James
2023-04-13 0:55 Sam James
2023-04-07 17:48 William Hubbs
2023-03-22 13:57 WANG Xuerui
2023-03-11 21:40 William Hubbs
2023-03-10 23:02 William Hubbs
2023-03-10 22:54 William Hubbs
2023-03-10 21:35 William Hubbs
2023-01-05 5:39 William Hubbs
2023-01-05 5:05 Sam James
2023-01-03 19:34 William Hubbs
2023-01-03 19:16 Arthur Zamarin
2023-01-03 16:27 William Hubbs
2022-08-20 22:09 William Hubbs
2022-08-19 19:33 Arthur Zamarin
2022-08-15 7:42 Agostino Sarubbo
2022-08-15 7:40 Agostino Sarubbo
2022-08-14 22:46 William Hubbs
2022-05-17 15:15 William Hubbs
2022-04-15 22:19 William Hubbs
2022-04-09 21:32 Jason Zaman
2022-04-04 15:28 William Hubbs
2022-02-14 9:48 Jakov Smolić
2022-02-14 7:55 William Hubbs
2022-01-07 18:08 Georgy Yakovlev
2022-01-07 18:06 Georgy Yakovlev
2022-01-07 17:55 Georgy Yakovlev
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1740606102.17c6b234c0fa6b80ff388bbc78f8e96affe2877c.williamh@gentoo \
--to=williamh@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox